PPI::Token::Regexp::Substitute(3)

NAME
PPI::Token::Regexp::Substitute - A match and replace regular expression token

INHERITANCE
  PPI::Token::Regexp::Substitute
  isa PPI::Token::Regexp
      isa PPI::Token
          isa PPI::Element

SYNOPSIS
  $text =~ s/find/$replace/;

DESCRIPTION
A "PPI::Token::Regexp::Substitute" object represents a single substitution regular expression.

METHODS
There are no methods available for "PPI::Token::Regexp::Substitute" beyond those provided by the parent PPI::Token::Regexp, PPI::Token and PPI::Element classes.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.